trace.plot {RJaCGH} | R Documentation

## Trace plot for 'RJaCGH' object

### Description

A trace plot with the trajectory of the Markov Chain.

### Usage

    trace.plot(x, k = NULL, array = NULL, Chrom = NULL, main.text = NULL)

### Arguments

`x` | any of RJaCGH, RJaCGH.Chrom, RJaCGH.Genome, RJaCGH.array objects
`k` | Model to plot (i.e., number of hidden states). If NULL, the most visited is taken.
`array` | the name of the array to plot.
`Chrom` | the number of the chromosome to plot.
`main.text` | Main text of the plot

### Details

This is simply a call to `matplot` to show the values sampled in the chain.

The colors does not correspond to any particular level of gain/loss.

### Value

A plot is drawn.

### Author(s)

Oscar M. Rueda and Ramon Diaz

### References

Rueda OM, Diaz-Uriarte R. Flexible and Accurate Detection of Genomic Copy-Number Changes from aCGH. PLoS Comput Biol. 2007;3(6):e122

### See Also

`RJaCGH`, `summary.RJaCGH`, `modelAveraging`, `plot.RJaCGH`, `states`,

### Examples

    y <- c(rnorm(100, 0, 1), rnorm(10, -3, 1), rnorm(20, 3, 1), rnorm(100,
    0, 1))
    Pos <- sample(x=1:500, size=230, replace=TRUE)
    Pos <- cumsum(Pos)
    Chrom <- rep(1:23, rep(10, 23))
    jp <- list(sigma.tau.mu=rep(0.5, 5), sigma.tau.sigma.2=rep(0.3, 5),
    sigma.tau.beta=rep(0.7, 5), tau.split.mu=0.5, tau.split.beta=0.5)
    fit.genome <- RJaCGH(y=y, Pos=Pos, Chrom=Chrom, model="Genome",
    burnin=10, TOT=100, jump.parameters=jp, k.max = 5)
    trace.plot(fit.genome, array="array1")

[Package RJaCGH version 2.0.4 Index]